Page MenuHomePhabricator

Phabricator images don't display (on WP0?)
Closed, DeclinedPublic

Description

Noticed lately that on Phabricator, after doing a force refresh on Google Chrome, the images of the site are not displayed anymore. Does this sound a bug because I have never experienced this till now. I will try on other browsers to see if I will have a similar behaviour.

Also, I just tried this on a fresh new login on Safari on my MacBook Pro and I got the same behaviour. Images are not loading. See image below;

I got this a few days ago but thought it was my browser but after doing further tries, I noticed it's an unusual behaviour for Phabricator.

Event Timeline

D3r1ck01 created this task.Jul 10 2017, 8:26 PM
D3r1ck01 updated the task description. (Show Details)Jul 10 2017, 8:33 PM

Depending on your ISP, it could be some anti-spam/abuse features T168142: Cleanup phabricator.wikimedia.org uploaded files, WP zero abuse

D3r1ck01 added a comment.EditedJul 10 2017, 8:35 PM

Ops, its not even showing the images I uploaded in this ticket :(. I will attach a link to the images.

Google Chrome Image: http://imgh.us/Screen_Shot_2017-07-10_at_9.26.07_PM.png
Safari Image: http://imgh.us/Screen_Shot_2017-07-10_at_9.32.34_PM.png

Depending on your ISP, it could be some anti-spam/abuse features T168142: Cleanup phabricator.wikimedia.org uploaded files, WP zero abuse

Okay! But I can access Phab normally and use its functionalities. Just the images don't display.

@D3r1ck01 though you could be affected by https://gerrit.wikimedia.org/r/#/c/363264/ which blocks accessing uploads.

@D3r1ck01 though you could be affected by https://gerrit.wikimedia.org/r/#/c/363264/ which blocks accessing uploads.

Ohh I see. That makes much sense now. Will this be removed or uplifted in the nearest future?

That will be like that for the future as wikipedia zero should not be able to access pabricator's upload feature due to spam. Though i am wondering can we do workaround for users. So that we can have a whitelist.

D3r1ck01 added a comment.EditedJul 10 2017, 8:46 PM

@Paladox, It would be good to have workaround. So how does someone know he/she is using Wikipedia Zero to upload because I pay for my internet services to access phabricator. Is there something I don't know?

The restriction itself: After abuse of Wikimedia Phabricator as a platform to share content uploaded and accessed via WP0, we have been discussing potential measures for some time.
What you currently see is the compromise: no files/images displayed when using WP0, but all other functionality available.
So "Phabricator images don't display on WP0" is a "will not fix" currently. Hence proposing to close this task as "declined".
If you know a better compromise after investigation of all technical possibilities that we are not aware of, please let us know. (We won't create and maintain some manual list of users who can upload via WP0 as it's not technical feasible. For other approaches already discussed, see T168142.)
Awareness of the restriction: If I get your last comment correctly, you expect some way to let the user know why images are missing. That would require rephrasing / changing the scope of this task though.

Aklapper renamed this task from Phabricator images doesn't display after force refresh on Google Chrome to Phabricator images don't display (on WP0?).Jul 11 2017, 12:40 PM

What about if we blocked /file/upload/ instead of /file/data? That way images will still show but no one in WP0 will be able to upload the images.

What about if we blocked /file/upload/ instead of /file/data? That way images will still show but no one in WP0 will be able to upload the images.

Yes I think that's better. I wouldn't love seeing images not displaying. @Paladox, that's a better idea \o/.

Change 364424 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/puppet@production] phabricator/varnish: Block /file/upload instead of /file/data for WP0 users

https://gerrit.wikimedia.org/r/364424

No. See Gerrit.

Change 364424 abandoned by Paladox:
phabricator/varnish: Block /file/upload instead of /file/data for WP0 users

https://gerrit.wikimedia.org/r/364424

Aklapper closed this task as Declined.Jul 20 2017, 8:05 PM

As this is intentional behavior, I'll close this task as declined.

Okay @Aklapper. Thank you and thank everyone for the explanations and clarifications. :)